Subject: Re: 23.0.60; frame size issue (--geometry or default-frame-alist) when using customized default face

From: "Tim Van Holder" <[email-masked]>
Date: Mon, 29 Sep 2008 09:34:55 +0200

On Sun, Sep 28, 2008 at 10:46 PM, Chong Yidong <[email-masked]> wrote:
>> For a few weeks now (starting around the time of the fix for #47,
>> which may or may not be relevant), emacs no longer comes up with the
>> correct frame size.
>>
>> I have it set (to 132x60) in default-frame-alist, but emacs end up
>> with varying frame sizes instead - while there seem to be a few that
>> it favors, I can't see any real pattern in it.
>
> Do you still see this problem?  I can't seem to reproduce it with latest
> CVS.  I have no geometry set in my .Xresources file, and with the
> following lines in .emacs:
>
>  (add-to-list 'default-frame-alist '(width . 132))
>  (add-to-list 'default-frame-alist '(height . 60))
>
> Emacs seems to start with the appropriate width and height each time.

Do you also have a custom font set for the default face, using a font height
that differs from the default?

I still get it with a CVS build of 15 minutes ago.
4 consecutive runs of emacs (with 132x60 set via customize) resulted in
windows that were 132x57, 112x55, 132x69 and 175x61 in size.
As before (new-frame) always results in a correctly sized frame - it's only
the initial frame that shows the problem.
I'll do a clean bootstrap build; if that makes a difference, I'll send another
mail.